BuildRequires: /proc
BuildRequires: jpackage-compat
BuildRequires: rpm-build-java-osgi
# required for install
BuildRequires: unzip
BuildRequires: gcc-c++
%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins

Name: eclipse-rse
Summary: Eclipse Remote System Explorer
Version: 3.2
Release: alt1_3jpp6 
License: EPL
URL: http://www.eclipse.org/dsdp/tm/

# Following tarball generated by running fetch-rse.sh.
Source0: rse-fetched-src-R3_2.tar.gz
Source1: fetch-rse.sh
# Following property files are generated by fetch-rse.sh.
Source2: featureVersions.properties
Source3: pluginVersions.properties



BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.1
BuildRequires: eclipse-emf >= 0:2.4.1
BuildRequires: jakarta-commons-net >= 0:1.4.1-5.4
Requires: eclipse-platform >= 1:3.4.0
Requires: eclipse-emf >= 0:2.4.1
Requires: jakarta-commons-net >= 0:2.0

Group: Development/Java
Source44: import.info

%description
Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench
that allows you to connect and work with a variety of remote systems.

%prep
%setup -q -c

%build

rm -rf orbitdeps
mkdir orbitdeps
pushd orbitdeps
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_2.0.jar
popd

mkdir -p build

pushd build
cp %{SOURCE2} .
cp %{SOURCE3} .
popd

%{eclipse_base}/buildscripts/pdebuild -j "-Xms256m -Xmx1024m" -f org.eclipse.tm.terminal -d "emf" \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%{eclipse_base}/buildscripts/pdebuild -j "-Xms256m -Xmx1024m" -f org.eclipse.rse.sdk \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/rse

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.tm.terminal.zip

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.rse.sdk.zip

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
rm org.apache.commons.net_2.*.jar
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_2.2.0.jar
popd

%files
%{install_loc}/rse
%doc org.eclipse.rse.sdk-feature/epl-v10.html
%doc org.eclipse.rse.sdk-feature/license.html

%changelog
* Wed Sep 14 2011 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_3jpp6
- update to new release by jppimport

* Thu Mar 10 2011 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_1jpp6
- new version

* Thu Dec 02 2010 Igor Vlasenko <viy@altlinux.ru> 3.1.1-alt1_3jpp6
- new version

* Thu Feb 04 2010 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_2jpp5
- first build; note: use embedded jakarta-commons-net 2.0

